Rated 2 out of 5 stars

I forced the installation on Firefox 3.5 and It seem to conflict with the last (dev) version of TabMixPlus, since it inhibits the opening of links in new tabs.Bye,

Forcing it on Firefox 3.5 will not work

Hi, sorry if I still couldn't find the time to update my extension, but beware: the Firefox code related to Reuse Home Page has changed from 3.0 to 3.5, so forcing the installation of the current release on 3.5 (by ignoring the version number restriction) obviously leads to unexpected behaviour and errors in Firefox. So DON'T DO IT, please. Not my fault... forcing extension installation is not a recommended practice, generally speaking.